use bemily_commons_protobuf_rust::protobuf::bemily::protobuf as bcprpbp;

pub const SUBJECT: &str = "bemily.messenger.chat.messages.se2c.event.messages";

#[derive(Clone, PartialEq, ::prost::Message)]
pub struct Message {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub room_id: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "3")]
  pub sender_id: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(enumeration = "MessageType", tag = "4")]
  pub message_type: i32,
  #[prost(string, tag = "5")]
  pub message: ::prost::alloc::string::String,
  #[prost(uint64, tag = "6")]
  pub seq: u64,
  #[prost(uint64, tag = "7")]
  pub created_at: u64,
  #[prost(uint64, tag = "8")]
  pub updated_at: u64,
  #[prost(uint64, optional, tag = "9")]
  pub deleted_at: ::core::option::Option<u64>,
  #[prost(enumeration = "bcprpbp::event::change::ChangeEventType", tag = "10")]
  pub change_type: i32,
}

pub const SUBJECT_CHANGE: &str = const_format::concatcp!(SUBJECT, ".Change");
/// subject = bemily.messenger.chat.messages.se2c.event.messages.Change;
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ChangeEvent {
  #[prost(string, tag = "1")]
  pub identity_id: ::prost::alloc::string::String,
  #[prost(message, optional, tag = "2")]
  pub message: ::core::option::Option<Message>,
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum MessageType {
  None = 0,
  Normal = 1,
  Mass = 2,
  Image = 3,
  Video = 4,
  Sound = 5,
  File = 6,
  Emoticon = 7,
  Smileme = 8,
  Plan = 9,
  Combination = 10,
  Information = 11,
}
